CK_RHS_COUNT(3)

NAME
ck_rhs_count - returns number of entries in hash set

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_rhs.h>
unsigned long
ck_rhs_count(ck_rhs_t *hs);

DESCRIPTION
The ck_rhs_count(3) function returns the number of keys currently stored in hs.

ERRORS
Behavior is undefined if hs is uninitialized. Behavior is undefined if this function is called by a non-writer thread.

SEE ALSO
ck_rhs_init(3), ck_rhs_move(3), ck_rhs_destroy(3), CK_RHS_HASH(3), ck_rhs_iterator_init(3), ck_rhs_next(3), ck_rhs_get(3), ck_rhs_put(3), ck_rhs_put_unique(3), ck_rhs_set(3), ck_rhs_fas(3), ck_rhs_remove(3), ck_rhs_grow(3), ck_rhs_rebuild(3), ck_rhs_gc(3), ck_rhs_reset(3), ck_rhs_reset_size(3), ck_rhs_stat(3)

Additional information available at http://concurrencykit.org/